# Created by pyp2rpm-3.3.8
%global pypi_name aiomcache
%global pypi_version 0.8.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel 1
Summary:        Minimal pure python memcached client
Group:          Development/Python
License:        BSD
URL:            https://github.com/aio-libs/aiomcache/
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(typing-extensions) >= 4
BuildRequires:  pyproject-rpm-macros

%description
memcached client for asyncio asyncio (PEP 3156) library to work with memcached.
Getting started The API looks very similar to the other memcache clients:..
code:: python import asyncio import aiomcache async def hello_aiomcache(): mc
aiomcache.Client("127.0.0.1", 11211) await mc.set(b"some_key", b"Some value")
value await mc.get(b"some_key") print(value) values await
mc.multi_get(b"some_key",...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(typing-extensions) >= 4
%description -n python3-%{pypi_name}
memcached client for asyncio asyncio (PEP 3156) library to work with memcached.
Getting started The API looks very similar to the other memcache clients:..
code:: python import asyncio import aiomcache async def hello_aiomcache(): mc
aiomcache.Client("127.0.0.1", 11211) await mc.set(b"some_key", b"Some value")
value await mc.get(b"some_key") print(value) values await
mc.multi_get(b"some_key",...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%generate_buildrequires
%pyproject_buildrequires 

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

#Disable for mga10
%if %{mgaver}<10
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst




%changelog
* Fri Apr 04 2025 katnatek <katnatek> 0.8.2-1.mga9
+ Revision: 2173307
+ rebuild (emptylog)

* Thu Apr 03 2025 katnatek <katnatek> 0.8.2-2.mga10
+ Revision: 2173254
- Change to modern python build

* Thu Apr 03 2025 katnatek <katnatek> 0.8.2-1.mga10
+ Revision: 2172884
- imported package python-aiomcache

